Bug 444651 - LIBGL_THROTTLE_REFRESH
LIBGL_THROTTLE_REFRESH
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-29 15:21 EDT by Mads Villadsen
Modified: 2009-07-14 13:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:38:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (21.94 KB, text/plain)
2008-04-29 15:21 EDT, Mads Villadsen
no flags Details

  None (edit)
Description Mads Villadsen 2008-04-29 15:21:58 EDT
Description of problem:
When running 3D apps (for instance clutter demos) the following warning appears:

Failed to initialize TTM buffer manager.  Falling back to classic.
do_wait: drmWaitVBlank returned -1, IRQs don't seem to be working correctly.
Try running with LIBGL_THROTTLE_REFRESH and LIBL_SYNC_REFRESH unset.



Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.2.1-22.fc9.i386


How reproducible:
Always

Additional info:
This is on an otherwise fully updated Fedora 9/rawhide system. I am running on a
Dell Lattitude D820.

Output from lspci

00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT
Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS,
943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML
Express Integrated Graphics Controller (rev 03)
0

[maxx@ice ~]$ /sbin/lsmod | grep i915
i915                   84484  2 
drm                   145508  3 i915
i2c_algo_bit            8964  1 i915
i2c_core               20628  4 i915,drm,i2c_i801,i2c_algo_bit

[maxx@ice ~]$ glxinfo | grep direct
Failed to initialize TTM buffer manager.  Falling back to classic.
direct rendering: Yes
Comment 1 Mads Villadsen 2008-04-29 15:21:58 EDT
Created attachment 304151 [details]
Xorg log
Comment 2 Dave Airlie 2008-05-10 01:56:33 EDT
are you running compiz?
Comment 3 Mads Villadsen 2008-05-10 05:09:58 EDT
This happens both with and without compiz. I have found a workaround for the
clutter apps: export CLUTTER_VBLANK=none

This gets rid of the LIBGL_THROTTLE_REFRESH line but the "Failed to initialize
TTM buffer manager.  Falling back to classic." line is still there.
Comment 4 Bug Zapper 2008-05-14 06:23:35 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 20:31:30 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:38:50 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.